module Panel::News::BackEnd::NewsBulletinCategorysHelper
include ActionView::Helpers::UrlHelper

  
  def show_submit_permission_link(news_bulletin_category)
    oa = news_bulletin_category.get_object_auth_by_title('submit')
    if oa.nil?
      news_bulletin_category.object_auths.new(title: 'submit' ).save
      oa = news_bulletin_category.get_object_auth_by_title('submit')
    end
    link_to t('announcement.bulletin.cate_auth'), edit_admin_object_auth_path(oa)
  end

end